/* Settingan Awal Css */

* {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
}

body {
  box-sizing: border-box;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}
a {
  text-decoration: none;
  color: black;
}

li {
  list-style: none;
}

/* Style Navbar */
.navbar {
  position: fixed;
  top: 0;
  width: 100%;
  background-color: transparent;
  transition: background-color 0.3s ease-in-out;
}

.navbar-container {
  width: 88.3%;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  padding: 16px;
}

.scrolled {
  background-color: transparent;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
}

.logo {
  font-size: 1.5rem;
  color: white;
  font-weight: 600;
  display: flex;
  align-items: center;
}

.logo img {
  width: 30px;
  margin-right: 1rem;
}

.links {
  display: flex;
  font-weight: 500;
  gap: 2rem;
}

.links li a {
  color: white;
}

.links li a:hover {
  transition: 0.5s;
  color: #03a9f4;
}

/* Style Container */
.container {
  width: 88.3%;
  margin: 0 auto;
}

/* Style Background */
.bg-full {
  width: 100%;
  height: auto;
  display: grid;
  place-items: center;
  background-color: #0f172a;
}

/* Style Blog Utama */
.main-blog {
  display: grid;
  margin-top: 7rem;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
  width: 90%;
}

.main-blog-image {
  grid-column: 1/3;
}

.main-blog-image img {
  width: 100%;
  height: 400px;
  border-radius: 10px;
  object-fit: cover;
}

/* Style Blog Section */

.blog-section {
  margin-top: 2rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1.2rem;
}

.blog-image img {
  width: 100%;
  height: 300px;
  object-fit: cover;
  margin-bottom: 1rem;
  border-radius: 10px;
}

.blog-content {
  color: white;
}

.blog-tag {
  display: flex;
  gap: 0.75rem;
  margin-bottom: 1rem;
}

.blog-category {
  text-transform: uppercase;
  font-weight: 700;
}

.blog-title {
  font-size: 1.8rem;
  font-weight: 700;
  text-transform: uppercase;
  cursor: pointer;
  color: white;
}

.blog-text {
  margin-top: 1rem;
}

.blog-title:hover {
  text-decoration: underline;
}
